#!/bin/bash -e

# build-gpm.sh - Builds local version of "gpm".

# Note: For more information, see the README file located in this dir-
# ectory.

if test x$PREFIX = x
then
    PREFIX=/usr/local
fi

echo
echo PREFIX is $PREFIX
echo "If that isn't want you wanted, use a command similar to this:"
echo "PREFIX=/foo/bar sh ./build-gpm.sh"
echo
echo For more information, see the README file.
echo "Building package..."
echo

touch test1.o && rm *.o

gcc -I. -Wall \
    -DSYSCONFDIR="\"$PREFIX/etc\"" \
    -DSBINDIR="\"$PREFIX/sbin\"" \
    -D_GNU_SOURCE -DPIC -fPIC -O2 -c *.c

for x in disable-paste gpm-root hltest mev
do
    gcc -s -o $x $x.o -lgpm -lm
    rm $x.o
done

gcc -s -o mouse-test \
   mouse-test.o mice.o synaptics.o twiddler.o -lgpm -lm
rm mouse-test.o

gcc -s -o gpm *.o -lgpm -lm
rm *.o
ls -l disable-paste gpm gpm-root hltest mev mouse-test
echo
echo Built gpm programs
exit 0
